import request from '@/utils/request'

// 查询工作台图标列表
export function listIndexConfigIcon(query) {
  return request({
    url: '/model/indexConfigIcon/list',
    method: 'get',
    params: query
  })
}

// 查询工作台图标详细
export function getIndexConfigIcon(id) {
  return request({
    url: '/model/indexConfigIcon/' + id,
    method: 'get'
  })
}

// 新增工作台图标
export function addIndexConfigIcon(data) {
  return request({
    url: '/model/indexConfigIcon',
    method: 'post',
    data: data
  })
}

// 修改工作台图标
export function updateIndexConfigIcon(data) {
  return request({
    url: '/model/indexConfigIcon',
    method: 'put',
    data: data
  })
}

// 删除工作台图标
export function delIndexConfigIcon(id) {
  return request({
    url: '/model/indexConfigIcon/' + id,
    method: 'delete'
  })
}
